This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 450019 - System.isNvreInstalled API call broken if epoch is not included
System.isNvreInstalled API call broken if epoch is not included
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn505
All Linux
low Severity low
: ---
: ---
Assigned To: Sebastian Skracic
Amy Owens
us=28989
:
Depends On:
Blocks: 450300
  Show dependency treegraph
 
Reported: 2008-06-04 15:41 EDT by Stephen Herr
Modified: 2008-09-25 09:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-25 09:03:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
simple test for api method (2.10 KB, application/x-perl)
2008-06-04 15:42 EDT, Stephen Herr
no flags Details

  None (edit)
Description Stephen Herr 2008-06-04 15:41:15 EDT
Description of problem:
The System.isNvreInstalled rpc api method has two forms listed in the
documentation: you can specify the package by either NVR or NVRE (name, version,
release, epoch). If you specify a package that has an epoch (most don't) and try
to use the epochless isNvreInstalled version it will always return false, even
if the package is installed. 

Version-Release number of selected component (if applicable):
5.0.5

How reproducible:
always

Steps to Reproduce:
1. Run attached perl script 
  
Actual results:
Result: 0
Result: 1
Indicating that the first query returned false while the second returned true.
They should both return true.

Expected results:
Result: 1
Result: 1

Additional info:
Comment 1 Stephen Herr 2008-06-04 15:42:09 EDT
Created attachment 308388 [details]
simple test for api method
Comment 3 Sebastian Skracic 2008-06-18 12:32:46 EDT
Fixed in r118818.
Comment 4 Stephen Herr 2008-06-24 13:25:00 EDT
verified in dev
Comment 5 Stephen Herr 2008-09-05 09:16:28 EDT
verified in qa

Note You need to log in before you can comment on or make changes to this bug.